%define version 2.0.16
%define release 3mdk
%define name octave

Summary: GNU Octave -- a high-level language for numerical computations
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sciences/Mathematics
Source: ftp://ftp.che.wisc.edu/pub/octave/%{name}-%{version}.tar.bz2
Source1: octave.xpm
Source2: octave
URL: http://www.che.wisc.edu/octave
Requires: gnuplot
Prefix: /Sciences/Mathematics
BuildRoot: /var/tmp/%{name}-buildroot

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
    --with-g77 --enable-dl --enable-shared --enable-lite-kernel \
    --enable-picky-flags \
    $RPM_ARCH-linux

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi   
make -j$NRPROC

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT -name "*.oct" | xargs strip
install -d $RPM_BUILD_ROOT/usr/share/icons/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/
install -d $RPM_BUILD_ROOT/usr/lib/menu/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info --info-dir=/usr/info --section="Programming:" --entry="* Octave:(octave).		Interactive language for numerical computations." /usr/info/octave.info.bz2
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%preun
if [ "$1" = "0" ]; then
   /sbin/install-info --delete --info-dir=/usr/info /usr/info/octave.info.bz2
fi

%postun 
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS COPYING NEWS* PROJECTS README README.Linux ChangeLog* ROADMAP SENDING-PATCHES THANKS
%doc doc/faq doc/liboctave doc/refcard emacs examples

/usr/bin/mkoctfile
/usr/bin/octave*
/usr/lib/octave*
/usr/include/octave*
/usr/share/octave
/usr/libexec/octave
/usr/man/man1/*
/usr/info/octave.info-10.bz2
/usr/info/octave.info-11.bz2
/usr/info/octave.info-12.bz2
/usr/info/octave.info-2.bz2
/usr/info/octave.info-3.bz2
/usr/info/octave.info-5.bz2
/usr/info/octave.info-6.bz2
/usr/info/octave.info-7.bz2
/usr/info/octave.info-8.bz2
/usr/info/octave.info-9.bz2
/usr/info/octave.info.bz2
/usr/info/octave.info-1.bz2
/usr/info/octave.info-4.bz2
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm

%changelog
* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-3mdk
- strip oct file
- add menu entry
 
* Tue Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-2mdk
- corrected for new groups 

* Thu Mar 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v2.0.16

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.0.13.90

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- repackage in powertools.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.
- Adapt from existing spec file.

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- removed libreadline stuff from the file list

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- changed configure command to put things in $RPM_ARCH-rehat-linux, 
  rather than genereated one... was causing problems between building 
  on i686 build machine.

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot from /tmp to /var/tmp

* Mon Sep 22 1997 Mike Wangsmo <wanger@redhat.com>
- Upgraded to version 2.0.9 and built for glibc system

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 2.0.5 and changed to build using a BuildRoot
